import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function settlementOrderNewListPageV2(data) {
  return request({
    url: `/settlementOrderNew/list/pageV2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function settlementOrderNewPageExport(data, name) {
  return postBlob({
    url: '/settlementOrderNew/pageExport',
    data,
    name
  })
}

export function settlementOrderNewDetail(params) {
  return request({
    url: '/settlementOrderNew/detail',
    method: 'post',
    params
  })
}

export function settlementOrderNewLineSettlement(params) {
  return request({
    url: `/settlementOrderNew/lineSettlement`,
    method: 'post',
    params
  })
}

export function settlementOrderNewSettlement(params) {
  return request({
    url: `/settlementOrderNew/settlement`,
    method: 'post',
    params
  })
}
